# API Introduction

The Domains API is organized around [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer), has predictable resource-oriented URLs, returns [JSON-encoded](http://www.json.org/) responses, and uses standard HTTP response codes, authentication, and verbs.

### API Host

This is the production API host:

* `https://domains-api.com`

### Authentication

The API uses API keys to authenticate requests. You can view and manage your API keys in [your account page](https://dmns.app/account/api-keys).

It can be used in 2 ways when making requests:

* As a query parameter in url: `.../domain/example.com?key=sk_abc123`
* As the Authorization header: `Authorization: Bearer sk_abc123`

Check the examples for more details.

### Errors

Sometimes the request or the servers are not ok, and we'll let you know. Errors are always reflected in the returned status codes:

* `4xx`: There is a problem with your request. Detailed info will be included as plain text in the response
* `5xx`: The server had a problem processing the request. More details will be returned as plain text in the response

### Rate limits


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dmns.app/api/api-introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
